Subject: data conversion

From: Tony Skjellum <[email-masked]>
Date: Sat, 24 Jul 93 23:10:19 CDT

I wanted to point out that data conversion routines (in those that
build buffer descriptors) need to include communicator arguments,
in order to limit the scope of the conversion operators to a specific
communicator.  Without this, all groups will use the same conversion
techniques, prohibiting optimizations (via cacheing) in the groups
and/or communicators.  One can argue that the argument could be the
group definition instead of the communicator.  But, as in Zipcode,
this argument needs to be there to limit scope.  

- Tony